[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [dm-devel] LVM snapshot broke between 4.14 and 4.16



Dne 2.8.2018 v 23:52 Linus Torvalds napsal(a):
On Thu, Aug 2, 2018 at 2:39 PM WGH <wgh torlan ru> wrote:

I've just found one public report of this bug, though:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=900442

Yeah, it does sound like we should fix this issue.



Hi

IMHO (as the author of fixing lvm2 patch) user should not be upgrading kernels and keep running older lvm2 user-land tool (and there are very good reasons for this).

Kernel had a bug which has been fixed, lvm2 misused this kernel bug and was also fixed. Keeping kernel bug present allowing certain device to write to read-only devices can be possibly seen as some security risk.

Also the number of users who ever create a read-only snapshot is probably very low.

Maybe there could be some 'dm-snapshot' loading modinfo option to allowing to create in case user really wants to have this bug being present in kernel (reinstantiate old buggy logic), but on default the user should get error when it tries to write to read-only volume and should upgrade lvm2.

Regards

Zdenek


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]